package com.rc.httpcore.vo

open class CommonResponse {

    var code: String = ""
    var msg: String = ""
    var message: String = ""

    companion object {
        const val CODE_SUCCESS = "200"
        const val CODE_TOKEN_EXPIRED = "401"
    }

    fun isSuccess() = CODE_SUCCESS == code

    fun isTokenExpired() = CODE_TOKEN_EXPIRED == code

}